Package: org.apache.groovy.groovysh.util.antlr4

## [Groovy] Class CurlyCountingGroovyLexer

- org.apache.groovy.groovysh.util.antlr4.CurlyCountingGroovyLexer

-     @CompileStatic
      class CurlyCountingGroovyLexer
      extends GroovyLangLexer

  patching GroovyLangLexer to get access to Paren level

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyLexer` | `SCS_SQ_TYPE, SCS_TYPE, _tokenSet_0, _tokenSet_1, _tokenSet_10, _tokenSet_11, _tokenSet_12, _tokenSet_13, _tokenSet_2, _tokenSet_3, _tokenSet_4, _tokenSet_5, _tokenSet_6, _tokenSet_7, _tokenSet_8, _tokenSet_9, lastSigTokenType, parenLevel, parenLevelStack, parser, stringCtorState, suppressNewline, tracing`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `protected CurlyCountingGroovyLexer (Reader reader)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `countCurlyLevel()`
    `` | `static CurlyCountingGroovyLexer` | `createGroovyLexer(String src)`
    `` | `protected void` | `enterParenCallback(String text)`
    `` | `protected void` | `exitParenCallback(String text)`
    `` | `int` | `getCurlyLevel()`
    `` | `List<Token>` | `toList()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyLangLexer` | `recover, rollbackOneChar`
    `class GroovyLexer` | `allowRegexpLiteral, atDollarDollarEscape, atDollarSlashEscape, atMultiCommentStart, atValidDollarEscape, enableAssert, enableEnum, isAssertEnabled, isEnumEnabled, isExpressionEndingToken, isWhitespaceIncluded, mASSIGN, mAT, mBAND, mBAND_ASSIGN, mBIG_SUFFIX, mBNOT, mBOR, mBOR_ASSIGN, mBSR, mBSR_ASSIGN, mBXOR, mBXOR_ASSIGN, mCLOSABLE_BLOCK_OP, mCOLON, mCOMMA, mCOMPARE_TO, mDEC, mDIGIT, mDIGITS_WITH_UNDERSCORE, mDIGITS_WITH_UNDERSCORE_OPT, mDIV, mDIV_ASSIGN, mDOLLAR, mDOLLAR_REGEXP_CTOR_END, mDOLLAR_REGEXP_LITERAL, mDOLLAR_REGEXP_SYMBOL, mDOT, mELVIS_OPERATOR, mEQUAL, mESC, mESCAPED_DOLLAR, mESCAPED_SLASH, mEXPONENT, mFLOAT_SUFFIX, mGE, mGT, mHEX_DIGIT, mIDENT, mIDENTICAL, mINC, mLAND, mLBRACK, mLCURLY, mLE, mLETTER, mLNOT, mLOR, mLPAREN, mLT, mMEMBER_POINTER, mMINUS, mMINUS_ASSIGN, mML_COMMENT, mMOD, mMOD_ASSIGN, mNLS, mNOT_EQUAL, mNOT_IDENTICAL, mNUM_INT, mONE_NL, mOPTIONAL_DOT, mPLUS, mPLUS_ASSIGN, mQUESTION, mRANGE_EXCLUSIVE, mRANGE_INCLUSIVE, mRBRACK, mRCURLY, mREGEXP_CTOR_END, mREGEXP_LITERAL, mREGEXP_SYMBOL, mREGEX_FIND, mREGEX_MATCH, mRPAREN, mSEMI, mSH_COMMENT, mSL, mSL_ASSIGN, mSL_COMMENT, mSPREAD_DOT, mSR, mSR_ASSIGN, mSTAR, mSTAR_ASSIGN, mSTAR_STAR, mSTAR_STAR_ASSIGN, mSTRING_CH, mSTRING_CTOR_END, mSTRING_LITERAL, mSTRING_NL, mTRIPLE_DOT, mVOCAB, mWS, makeToken, newlineCheck, nextToken, nextToken, plumb, popParenLevel, pushParenLevel, restartStringCtor, setTokenObjectClass, setWhitespaceIncluded, traceIn, traceOut`

- - ### Constructor Detail

    - #### protected CurlyCountingGroovyLexer(Reader reader)

  - ### Method Detail

    - #### int countCurlyLevel()

    - #### static CurlyCountingGroovyLexer createGroovyLexer(String src)

    - #### @Override protected void enterParenCallback(String text)

    - #### @Override protected void exitParenCallback(String text)

    - #### int getCurlyLevel()

    - #### List<Token> toList()